org.eclipse.cdt.core.dom.parser

## Interface IBuiltinBindingsProvider

    public interface IBuiltinBindingsProvider

Provides built-in symbols to the parser.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the CDT team.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinding[]` `getBuiltinBindings(IScope scope)` Get additional built-in bindings for the given scope.
`boolean` `isKnownBuiltin(char[] builtinName)` Returns whether the given name names a known builtin.

### Method Detail

#### getBuiltinBindings

    IBinding[] getBuiltinBindings(IScope scope)

Get additional built-in bindings for the given scope.

Parameters:
  `scope` - the scope the bindings are added to
Returns:
  an array of `IBinding`s, may not return `null`

#### isKnownBuiltin

    boolean isKnownBuiltin(char[] builtinName)

Returns whether the given name names a known builtin.

Restriction:
  This method is not intended to be referenced by clients.